grk::ScaleFilter< T > Class Template Reference

`#include <PostT1DecompressFilters.h>`

## Public Member Functions

| ScaleFilter (DecompressBlockExec *block)
void | copy (T *dest, T *src, uint32_t len)

## Private Attributes

float | scale

## Constructor & Destructor Documentation

## ScaleFilter()

template<typename T >

grk::ScaleFilter< T >::ScaleFilter | ( | DecompressBlockExec * | block | ) |

inline

## Member Function Documentation

## copy()

template<typename T >

void grk::ScaleFilter< T >::copy | ( | T * | dest,
|  | T * | src,
|  | uint32_t | len
| ) |  |

inline

References grk::grk_read(), and grk::ScaleFilter< T >::scale.

## Member Data Documentation

## scale

template<typename T >

float grk::ScaleFilter< T >::scale

private

Referenced by grk::ScaleFilter< T >::copy().

The documentation for this class was generated from the following file:

- PostT1DecompressFilters.h